Package org.apache.ignite.internal.processors.cache

## Class IncompleteObject<T>

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.IncompleteObject<T>

Direct Known Subclasses:
  `IncompleteCacheObject`

    public class IncompleteObject<T>
    extends Object

Incomplete object.

### Field Summary

Fields
`protected byte[]` `data`

### Constructor Summary

Constructors
`IncompleteObject()` Constructor.
`IncompleteObject​(byte[] data)`

### Method Summary

All Methods Instance Methods Concrete Methods
`byte[]` `data()`
`long` `getNextLink()`
`boolean` `isReady()`
`T` `object()`
`void` `object​(T obj)`
`void` `readData​(ByteBuffer buf)`
`void` `setNextLink​(long nextLink)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### data

    protected byte[] data

### Constructor Detail

#### IncompleteObject

    public IncompleteObject​(byte[] data)

Parameters:
  `data` - Data bytes.

#### IncompleteObject

    public IncompleteObject()

Constructor.

### Method Detail

#### object

    public T object()

Returns:
  Cache object if ready.

#### object

    public void object​(T obj)

Parameters:
  `obj` - Cache object.

#### isReady

    public boolean isReady()

Returns:
  `True` if cache object is fully assembled.

#### data

    public byte[] data()

Returns:
  Data array.

#### readData

    public void readData​(ByteBuffer buf)

Parameters:
  `buf` - Read remaining data.

#### getNextLink

    public long getNextLink()

Returns:
  Next data page link for fragmented rows.

#### setNextLink

    public void setNextLink​(long nextLink)

Parameters:
  `nextLink` - Next data page link for fragmented rows.